## Library initialization

Library initialization — Library initialization and information

## Stability Level

Stable, unless otherwise indicated

## Functions

void | gdaui_init ()
const gchar * | gdaui_get_default_path ()
void | gdaui_set_default_path ()

## Description

## Functions

### gdaui_init ()

    void
    gdaui_init (void);

Initialization of the libgda-ui library, must be called before any usage of the library.

- Note 1: `gtk_init()` is not called by this function and should also be called (see Note 2 about the importance of the calling order)

- Note 2: unless you call `setlocale()` first in your program, calling `gtk_init()` before `gdaui_init()` will ensure that all information loaded from config files will be loaded in the correct locale (as `gtk_init()` calls `setlocale()`).

- Note 3: this funtion also calls `gda_init()` so it should not be called again

Since: 4.2

### gdaui_get_default_path ()

    const gchar *
    gdaui_get_default_path (void);

Get the default path used when saving a file, or when showing a GtkFileChooser file chooser. When the application starts, the default path will be the same as the onde returned by `g_get_current_dir()`.

#### Returns

the default path, or `NULL`.

[transfer none]

Since: 4.2.9

### gdaui_set_default_path ()

    void
    gdaui_set_default_path (const gchar *path);

Define the default path used when saving a file, or when showing a GtkFileChooser file chooser.

#### Parameters

path | a path, or `NULL` to unset. | [allow-none]

Since: 4.2.9

## Types and Values